Bug 3329 - Add support for aes encrypted keys in java ws-core
: Add support for aes encrypted keys in java ws-core
Status: RESOLVED FIXED
: CoG jglobus
security
: unspecified
: PC Windows XP
: P3 enhancement
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-10 17:15 by
Modified: 2005-12-05 16:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-10 17:15:35
AES encrypted keys seem to be unsupported at the moment when using java
ws-core.
DES3 works fine though.

This is the exception that I get when using an aes encrypted key and running
"grid-proxy-init -verify -debug":

Exception in thread "main" Error during startup processing. Caused by
java.lang.IllegalArgumentException: Missing argument
        at javax.crypto.spec.SecretKeySpec.<init>(DashoA6275)
        at org.globus.gsi.OpenSSLKey.getSecretKey(OpenSSLKey.java:414)
        at org.globus.gsi.OpenSSLKey.decrypt(OpenSSLKey.java:222)
        at org.globus.gsi.OpenSSLKey.decrypt(OpenSSLKey.java:203)
        at org.globus.tools.DefaultProxyInit.loadKey(ProxyInit.java:622)
        at org.globus.tools.ProxyInit.createProxy(ProxyInit.java:203)
        at org.globus.tools.ProxyInit.main(ProxyInit.java:517)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:324)
        at org.globus.bootstrap.BootstrapBase.launch(BootstrapBase.java:95)
        at org.globus.bootstrap.Bootstrap.main(Bootstrap.java:37)
------- Comment #1 From 2005-05-11 02:25:48 -------
I added support for the AES algorithms, and improved error checking in case 
some other unsupported algorithm is used. Fixes committed to cvs.